/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file quick.c
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#include "quick.h"


AislStatus
ax_quick_response(AislStream stream, AislHttpResponse http_response)
{
	AislStatus result;

	result = aisl_response(stream, http_response, 0);

	if (result == AISL_SUCCESS)
		aisl_flush(stream);
	else
		aisl_reject(stream);

	return result;
}
